GNU bug report logs - #30619
Cuirass requires TLS certificates

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Andreas Enge <andreas@HIDDEN>; dated Mon, 26 Feb 2018 20:53:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 30619 <at> debbugs.gnu.org:


Received: (at 30619) by debbugs.gnu.org; 12 Oct 2021 22:05:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 18:05:02 2021
Received: from localhost ([127.0.0.1]:55100 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maPtN-0006CD-Na
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 18:05:02 -0400
Received: from mail-wr1-f54.google.com ([209.85.221.54]:33473)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1maPtK-0006BU-Aa
 for 30619 <at> debbugs.gnu.org; Tue, 12 Oct 2021 18:04:58 -0400
Received: by mail-wr1-f54.google.com with SMTP id m22so1813621wrb.0
 for <30619 <at> debbugs.gnu.org>; Tue, 12 Oct 2021 15:04:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=zBF4j+lt1ddB8nyvoA328TBmhGnAJ8uSOlkeEyXJH8M=;
 b=SMCgy4mlO7GmgCf+iMNYkGMtRVgpjprG4zJcbZ6sOGNiIoyvPAfRT8K5jPLpOp6SeS
 1ds8eVNHdKPSvylDhbZ1JaQmzj0UVAPqSM6JYt4v4Pp9EnCOCchhRugQh5Kq4xUGKKbb
 c/6zuK/H/1qmJ2Ai2Cae+7WaHcIDWGGAUf/k9U/iSIhWe7pbdSufSMtRkCGcTuvw0o0e
 8xs6QEt8ZhgqmlzvvaD2LEQ6SNO/h3ovVof/Fc28ztdubmqrU42bVm+trXMBLIZgszgA
 0lm+OTNVDa3xDwSaGmyFLJANsS1sRKDHtmBwHQ5OWwigbRbG4B3jo6cyJ2UdfiVaa8S7
 Tt4A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=zBF4j+lt1ddB8nyvoA328TBmhGnAJ8uSOlkeEyXJH8M=;
 b=CAF3hsNBMCdSg7j1gEhN+SW8Fcm+iiOPWQ4M9mg2TuFSld2V+RmW80CPw0vRJJcCaD
 TGa4mAG3VCrZgVHWOGCxtM3g+XnPaD7UPkzBUnpxu+JxAVYrPPNFgTj1aKpg6QHUO7+I
 iv+lI8e15XOZXfJ6p6VXy0QtGQQXSVGSt2791IwWz/D0iBejctcjrWLffuFKL1bS0OwC
 Wo8VlULhAn4mp3+bFAanUXgh/se4n3Adzm4O7Q04cUIUDvWN1MfT1iZ3Ruu7AeeWYSJN
 WG8zuc7xzsYh+pfrSp7v4M5eHUIWX/S7cV45KPqr5+XwpYl9imG6Ci75B8WhsZ/jUdBF
 VYPw==
X-Gm-Message-State: AOAM531bvjpWxuf/PbfZQkw6Iimw1L4VY5geawnWNw9ssNfIz8dk9YFH
 O0M8Qz41RugSvVjEuvP2sEPpx6WJ/TnQ6Q==
X-Google-Smtp-Source: ABdhPJyxFN8dHvWTkJYQJWO2uCoUlrkhWThAutIxeKsVvgGuQKS4uJW6qQJDKS1vL+KeNQExwr/Gjw==
X-Received: by 2002:a1c:7911:: with SMTP id l17mr8970974wme.138.1634076292695; 
 Tue, 12 Oct 2021 15:04:52 -0700 (PDT)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id j206sm908121wmj.23.2021.10.12.15.04.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 12 Oct 2021 15:04:52 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: Re: bug#30619: Cuirass requires TLS certificates
References: <20180226205158.GA2432@jurong> <87lgfe1kyf.fsf@HIDDEN>
 <8635q5rn44.fsf@HIDDEN>
Date: Tue, 12 Oct 2021 23:57:11 +0200
In-Reply-To: <8635q5rn44.fsf@HIDDEN> (zimoun's message of "Thu, 16 Sep 2021
 09:33:15 +0200")
Message-ID: <86ily1kitk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 30619
Cc: Mathieu Othacehe <othacehe@HIDDEN>, Andreas Enge <andreas@HIDDEN>,
 30619 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Thu, 16 Sep 2021 at 09:33, zimoun <zimon.toutoune@HIDDEN> wrote:
> On Tue, 27 Feb 2018 at 17:00, ludo@HIDDEN (Ludovic Court=C3=A8s) wrote:
>> Andreas Enge <andreas@HIDDEN> skribis:
>>
>>> the cuirass service requires TLS certificates to do continuous integrat=
ion
>>> of guix (or more generally, git repositories served over https). This w=
orks
>>> when nss-certs is installed as a global package in the system.
>>>
>>> Should the service depend on the nss-certs package? Or maybe take as an
>>> optional configuration parameter a certificate package?
>>
>> I thought that, instead of assuming /etc/ssl/certs exists, the Cuirass
>> service could use (file-append nss-certs "/etc/ssl/certs/ca-certificates=
.crt").
>> That would make it self-contained.
>>
>> That=E2=80=99s currently not possible though because this certificate bu=
ndle is
>> built as a profile hook.  We would first need to export the procedure
>> that creates bundles, possibly by moving it to a new (guix
>> x509-certificates) module.
>
> What is the status of this old bug [1]?  Well, if it is not fixed yet,
> it seems a forgotten bug. :-)
>
> 1: <http://issues.guix.gnu.org/issue/30619>

From my understanding, this old bug could be closed.  But I am not sure
to get it right about this TLS story.  So closing?


Cheers,
simon




Information forwarded to bug-guix@HIDDEN:
bug#30619; Package guix. Full text available.

Message received at 30619 <at> debbugs.gnu.org:


Received: (at 30619) by debbugs.gnu.org; 16 Sep 2021 07:45:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 16 03:45:56 2021
Received: from localhost ([127.0.0.1]:53699 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQm5j-0000yu-Vq
	for submit <at> debbugs.gnu.org; Thu, 16 Sep 2021 03:45:56 -0400
Received: from mail-wr1-f48.google.com ([209.85.221.48]:33299)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1mQm5c-0000xu-HS
 for 30619 <at> debbugs.gnu.org; Thu, 16 Sep 2021 03:45:51 -0400
Received: by mail-wr1-f48.google.com with SMTP id t18so7998471wrb.0
 for <30619 <at> debbugs.gnu.org>; Thu, 16 Sep 2021 00:45:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=wDt/c59DchTvP9woTXQ3KEkHc1zcrzXiBf3jPlJcnYA=;
 b=I8SuOTXPVWjOp88k7HdsLxU+1Z3zz6zLpwTzae3FMkDJ/28JBw91pAsGwMVoxyCq74
 +/kHBqF0Rf22OScG8p9KemBOUjbvTtwOP+xvtFiJHvGUoIOokHU3t5dBFqfN4/eEAWDA
 8Epz1gafgrJ+q1TsTpU2hiMmWUFfcnRV3kzKqphffZrZMCITG8BF9RFj24P9orFeSr7i
 nh4kpcRABQ3YDmBRjSZJVOCkuU4TdVj9jjR8iDRR0rfsmWnl+0yHhYBFUEEBmeGwa0yQ
 9sGBAkKwx7CPuO+w86vgollbsLwU8jNy+b2ws9svg695QlkhlZ0UR4HS3c2MmRPR0f5x
 7uKQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=wDt/c59DchTvP9woTXQ3KEkHc1zcrzXiBf3jPlJcnYA=;
 b=qlswkY6kRnasd5ivzQqRoBRlomZa6llBJNOwLUKOxdger9GXzLXAjQMHFnYJY2byOl
 sbOpIGbefeT2Mto1I85eiO47pJNq57FPrUKxYaTscLybG3upinkxLjb4D3k37RMd8yZT
 9SIDklvSTaSyWYd1B1oF/aS6xCqg3KK30VitDxt1yDnDEoBahpXraOBfAf9TW4rdKUYy
 cQNJZzI/4iYStuD1ycUsHvrBUdoXUNx6AAPxlY3eMbugjTW00byBSANExKWMqmJyX0Da
 EcntujLL50/a967SEmfZ4P52ADYh5fO0SEQkU+bVH13Zriy9xlavSuSF3nkxb239CLfr
 4ZcA==
X-Gm-Message-State: AOAM5334T+f+E0HeVyzRKjcfIi7rkrnJVeZiTg50rJ8tJnl5AQ/EZqZX
 v+/wY3ejroTbS2fZI3sbKUieHqf036tF1Q==
X-Google-Smtp-Source: ABdhPJwBoEBwBJIpzjQULq6re/PQOwQsWljC4GuHKIGwkd/cVI4zJS3AordVsTgYQmCCiGZINnp6sw==
X-Received: by 2002:a5d:63c5:: with SMTP id c5mr4433919wrw.135.1631778342934; 
 Thu, 16 Sep 2021 00:45:42 -0700 (PDT)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id l13sm2417635wrb.11.2021.09.16.00.45.42
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 16 Sep 2021 00:45:42 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=), Mathieu Othacehe
 <othacehe@HIDDEN>
Subject: Re: bug#30619: Cuirass requires TLS certificates
References: <20180226205158.GA2432@jurong> <87lgfe1kyf.fsf@HIDDEN>
Date: Thu, 16 Sep 2021 09:33:15 +0200
In-Reply-To: <87lgfe1kyf.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22'?=
 =?utf-8?Q?s?= message of "Tue, 27 Feb 2018 17:00:40 +0100")
Message-ID: <8635q5rn44.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 30619
Cc: Andreas Enge <andreas@HIDDEN>, 30619 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Tue, 27 Feb 2018 at 17:00, ludo@HIDDEN (Ludovic Court=C3=A8s) wrote:
> Andreas Enge <andreas@HIDDEN> skribis:
>
>> the cuirass service requires TLS certificates to do continuous integrati=
on
>> of guix (or more generally, git repositories served over https). This wo=
rks
>> when nss-certs is installed as a global package in the system.
>>
>> Should the service depend on the nss-certs package? Or maybe take as an
>> optional configuration parameter a certificate package?
>
> I thought that, instead of assuming /etc/ssl/certs exists, the Cuirass
> service could use (file-append nss-certs "/etc/ssl/certs/ca-certificates.=
crt").
> That would make it self-contained.
>
> That=E2=80=99s currently not possible though because this certificate bun=
dle is
> built as a profile hook.  We would first need to export the procedure
> that creates bundles, possibly by moving it to a new (guix
> x509-certificates) module.

What is the status of this old bug [1]?  Well, if it is not fixed yet,
it seems a forgotten bug. :-)

1: <http://issues.guix.gnu.org/issue/30619>

Cheers,
simon




Information forwarded to bug-guix@HIDDEN:
bug#30619; Package guix. Full text available.

Message received at 30619 <at> debbugs.gnu.org:


Received: (at 30619) by debbugs.gnu.org; 27 Feb 2018 16:00:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 27 11:00:43 2018
Received: from localhost ([127.0.0.1]:35806 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eqhgJ-0006FA-G4
	for submit <at> debbugs.gnu.org; Tue, 27 Feb 2018 11:00:43 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:53098)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1eqhgI-0006F2-EY
 for 30619 <at> debbugs.gnu.org; Tue, 27 Feb 2018 11:00:42 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id E07A81054D;
 Tue, 27 Feb 2018 17:00:41 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id dwQFyKD6b05f; Tue, 27 Feb 2018 17:00:41 +0100 (CET)
Received: from ribbon (unknown [193.50.110.216])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 3611C228E;
 Tue, 27 Feb 2018 17:00:41 +0100 (CET)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Andreas Enge <andreas@HIDDEN>
Subject: Re: bug#30619: Cuirass requires TLS certificates
References: <20180226205158.GA2432@jurong>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 9 =?utf-8?Q?Vent=C3=B4se?= an 226 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 27 Feb 2018 17:00:40 +0100
In-Reply-To: <20180226205158.GA2432@jurong> (Andreas Enge's message of "Mon,
 26 Feb 2018 21:51:58 +0100")
Message-ID: <87lgfe1kyf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 30619
Cc: 30619 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Andreas Enge <andreas@HIDDEN> skribis:

> the cuirass service requires TLS certificates to do continuous integration
> of guix (or more generally, git repositories served over https). This wor=
ks
> when nss-certs is installed as a global package in the system.
>
> Should the service depend on the nss-certs package? Or maybe take as an
> optional configuration parameter a certificate package?

I thought that, instead of assuming /etc/ssl/certs exists, the Cuirass
service could use (file-append nss-certs "/etc/ssl/certs/ca-certificates.cr=
t").
That would make it self-contained.

That=E2=80=99s currently not possible though because this certificate bundl=
e is
built as a profile hook.  We would first need to export the procedure
that creates bundles, possibly by moving it to a new (guix
x509-certificates) module.

Thoughts?

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#30619; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Feb 2018 20:52:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 26 15:52:17 2018
Received: from localhost ([127.0.0.1]:33995 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eqPku-0004W0-VT
	for submit <at> debbugs.gnu.org; Mon, 26 Feb 2018 15:52:17 -0500
Received: from eggs.gnu.org ([208.118.235.92]:60688)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas@HIDDEN>) id 1eqPkt-0004Vl-GF
 for submit <at> debbugs.gnu.org; Mon, 26 Feb 2018 15:52:16 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <andreas@HIDDEN>) id 1eqPkn-0007ax-2R
 for submit <at> debbugs.gnu.org; Mon, 26 Feb 2018 15:52:09 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:57729)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <andreas@HIDDEN>) id 1eqPkm-0007an-TV
 for submit <at> debbugs.gnu.org; Mon, 26 Feb 2018 15:52:08 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:51647)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <andreas@HIDDEN>) id 1eqPkl-0003AK-PH
 for bug-guix@HIDDEN; Mon, 26 Feb 2018 15:52:08 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <andreas@HIDDEN>) id 1eqPkg-0007YV-Dg
 for bug-guix@HIDDEN; Mon, 26 Feb 2018 15:52:07 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:42748)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <andreas@HIDDEN>) id 1eqPkg-0007Xt-6T
 for bug-guix@HIDDEN; Mon, 26 Feb 2018 15:52:02 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 0616810A02;
 Mon, 26 Feb 2018 21:52:01 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id VSCF8Dt-htRw; Mon, 26 Feb 2018 21:52:00 +0100 (CET)
Received: from jurong (unknown [IPv6:2001:910:103f::c1e])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 63250107DB;
 Mon, 26 Feb 2018 21:52:00 +0100 (CET)
Date: Mon, 26 Feb 2018 21:51:58 +0100
From: Andreas Enge <andreas@HIDDEN>
To: bug-guix@HIDDEN
Subject: Cuirass requires TLS certificates
Message-ID: <20180226205158.GA2432@jurong>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.9.3 (2018-01-21)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hello,

the cuirass service requires TLS certificates to do continuous integration
of guix (or more generally, git repositories served over https). This works
when nss-certs is installed as a global package in the system.

Should the service depend on the nss-certs package? Or maybe take as an
optional configuration parameter a certificate package?

Andreas





Acknowledgement sent to Andreas Enge <andreas@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#30619; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 12 Oct 2021 22:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.